:root {
    /* Dark Theme */
    --bg-primary: #121212;
    --bg-secondary: #1E1E1E;
    --text-primary: #E0E0E0;
    --text-secondary: #A0A0A0;
    --border-color: #333333;

    /* Magenta Accents */
    --accent-primary: #FF00FF;
    --accent-secondary: #E600E6;
}

@font-face {
    font-family: 'PixelOperator';
    src: url('pixel_operator/PixelOperator.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'PixelOperatorBold';
    src: url('pixel_operator/PixelOperatorBold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'PixelOperatorMono';
    src: url('font/pixel_operator/PixelOperatorMono.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

* {
    -webkit-tap-highlight-color: transparent;
}

::-webkit-scrollbar {
    width: 0.3125rem;
}

::-webkit-scrollbar-track {
    background: var(--accent-primary);
}

::-webkit-scrollbar-thumb {
    background: var(--bg-secondary);
    border-radius: 0.3125rem;
}

body {
    background-color: var(--bg-primary);
    color: var(--text-primary);
    font-family: 'PixelOperator', sans-serif;
    display: flex;
    flex-direction: column;
    font-size: 1.25rem;
    margin: 0;
    padding: 0.5rem;
    user-select: none;
}

header, footer {
    background-color: var(--bg-secondary);
    border-bottom: 1px solid var(--border-color);
}

a {
    color: var(--accent-primary);
    text-decoration: none;
}

a:hover {
    color: var(--accent-secondary);
}

p {
    padding: 0;
    margin: 0;
}

button, .cta-button {
    background-color: var(--accent-primary);
    color: var(--bg-primary);
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}

button:hover, .cta-button:hover {
    background-color: var(--accent-secondary);
}

.row {
    display: flex;
    flex-direction: row;
}

.col {
    display: flex;
    flex-direction: column;
}

.container-magenta {
    display: flex;
    background-color: var(--bg-secondary);
    border: 2px solid var(--accent-secondary);
    box-shadow: 4px 4px 0px var(--accent-secondary);
}

.container-grey {
    display: flex;
    background-color: var(--bg-secondary);
    border: 2px solid var(--border-color);
    box-shadow: 4px 4px 0px var(--border-color);
}

#hero {
    width: 60vw;
    height: 60vh;
    margin: 2rem auto;
    justify-content: flex-end;
}

#hero #banner-text {
    margin: auto;
    color: var(--bg-primary);
}

#hero div { /* The small section insdide hero*/
    align-items: center;
    background-color: var(--bg-primary);
    height: 35%;
    padding: 0rem 2rem 2rem;
}

#hero div .col { 
    margin: 0rem 2rem;
    align-items: flex-start;
    justify-content: center;
}

#hero div .col h1, #hero div .col h3 { /* Title and subtitles in hero*/
    text-align: left;
    padding: 0px;
    margin: 0px;
}

#hero div .col h1 {
    color: var(--accent-primary);
}


#logo {
    width: 8rem;
    border-radius: 999px;
    border: 4px solid var(--bg-secondary);
    box-shadow: 4px 4px 0px var(--accent-secondary);
    left: 2rem;
    bottom: 2rem;
    margin: 0rem 0rem 0rem 1rem;
}

#sub-hero {
    width: 60vw;
    margin: auto;
    justify-content: space-between;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
}

#sub-hero div {
    background-color: var(--bg-secondary);
    padding: 1rem;
    border-radius: 1rem;
    transition: all 0.2s ease-in-out;
    justify-content: space-between;
    display: flex;
    border: 2px solid var(--bg-secondary);
    cursor: pointer;
}

#sub-hero div:hover {
    border: 2px solid var(--accent-secondary);
}

#sub-hero div:active {
    transform: scale(0.95);
}

#sub-hero div i {
    opacity: 0;
    transition: all 0.2s ease;
}

#sub-hero div:hover i {
    opacity: 1;
    transition: all 0.2s ease;
    animation: infinite arrowBlinks 2s ease;
}

@keyframes arrowBlinks {
    0%, 100% {
        opacity: 0;
        transform: translateX(-0.4rem);
    }

    50% {
        opacity: 1;
        transform: translateX(0rem);
    }
}

@media (max-width: 768px) {
    #hero {
        width: 90%;
    }

    #hero #banner-text {
        display: none;
    }

    #hero div {
        height: 100%;
        flex-direction: column;
        justify-content: space-between;
        padding: 4rem 2rem;
    }

    #hero .row .col {
        height: fit-content;
        width: 100%;
    }

    #sub-hero {
        grid-template-columns: repeat(1, 1fr);
        width: 80%;
    }

    #sub-hero div i {
        opacity: 1;
        animation: infinite arrowBlinks 2s ease;
    }

    #sub-hero div {
        border: 2px solid var(--bg-secondary);
    }

    #sub-hero div:hover {
        box-shadow: none;
    }

    #sub-hero div:active {
        transform: scale(0.95);
        border: 2px solid var(--accent-secondary);
    }
}

.grid-page {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    margin: 8rem;
}

.project-img {
    width: 12rem;
    margin: 1rem auto;
    border-radius: 1rem;
}

.project-title, .project-desc {
    margin: 1rem;
}